package bg.bas.dcl.mwe;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.swing.SwingUtilities;
import javax.swing.UIManager;

import bg.bas.dcl.mwe.gui.bgMWEGUI;
import bg.bas.dcl.mwe.model.bgMWEModel;
import bg.bas.dcl.mwe.controller.bgMWEController;

import edu.mit.jmwe.data.IMWE;
import edu.mit.jmwe.data.IToken;
import edu.mit.jmwe.data.Token;
import edu.mit.jmwe.detect.Consecutive;
import edu.mit.jmwe.detect.IMWEDetector;
import edu.mit.jmwe.index.IMWEIndex;
import edu.mit.jmwe.index.MWEIndex;

public class MWExtractor {

	
	public static void main(String[] args) {
	
		if (args.length==0 || (args.length>0 && args[0].trim().equalsIgnoreCase("gui"))){
			bgMWEGUI gui = new bgMWEGUI();
			bgMWEModel model = new bgMWEModel();
			
			bgMWEController controller = new bgMWEController(gui, model);
			
			
			
			
		} else {
			// command line - result to file
			
		}
		
	}

}
